> For the complete documentation index, see [llms.txt](https://docs.apro.com/ai-oracle/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apro.com/ai-oracle/getting-started/quickstart/apro-ai-oracle-api-v1.md).

# APRO AI Oracle API v1

## **APRO AI Oracle API v1**

Welcome to the APRO AI Oracle API. We provide a wide range of oracle data, including market prices, news, and more. All data is processed through a distributed consensus mechanism to ensure trustworthiness and immutability.This endpoint is available under the following API plans:

* Free Plan
* Standard Plan
* Other Professional Plans

**Rate Limit:** 30 credits per 60 seconds

***

### Endpoint

**1. Ticker Currencies List**

Retrieve the list of supported currencies in APRO AI Oracle.

**Credit Consumption:** 1 credit per request

**Endpoint:** `GET v1/ticker/currencies/list`&#x20;

**Query Parameters**

* `page` (number) – Page number (Example: `1`)
* `size` (number) – Number of items per page (Example: `10`)

**Sample Request**

```bash
curl -X GET "https://api-ai-oracle.apro.com/v1/ticker/currencies/list?size=50&page=1" \
 -H "accept: application/json"
```

**Sample Response**

```json
{
    "status": {
        "timestamp": 1742456493281,
        "code": 200,
        "message": ""
    },
    "data": [
        {
            "name": "Aave",
            "symbol": "AAVE",
            "keywords": ["aave"],
            "support_providers": [
                "AggregationCoinMarketCap",
                "AggregationCoinGecko",
                "DexAve",
                "DexDexTools"
            ]
        }
    ]
}
```

***

#### **2. Ticker Currency Support**

Retrieve details about a specific currency.

**Credit Consumption:** 1 API call credit per request

**Endpoint:**`GET v1/ticker/currency/support`

**Query Parameters**

* `name` (string) – Currency information (name, symbol, or keyword) (Example: `aave`)
* `restricted` (string) – Query mode: `strict` or `relaxed` (Default: `strict`)
  * `strict`: Requires at least **three** data sources
  * `relaxed`: No minimum data source requirement

**Sample Request**

```bash
curl -X GET "https://api-ai-oracle.apro.com/v1/ticker/currency/support?name=aave&restricted=strict" \
 -H "accept: application/json"
```

**Sample Response**

```json
{
    "status": {
        "timestamp": 1742456976497,
        "code": 200,
        "message": ""
    },
    "data": {
        "name": "Chainlink",
        "symbol": "LINK",
        "keywords": ["chainlink"],
        "support_providers": [
            "DexAve",
            "DexDexTools",
            "AggregationCoinMarketCap",
            "AggregationCoinGecko"
        ]
    }
}
```

#### 3. **Ticker Currency Price**

Retrieve the price of a specific currency in a given quotation currency.

**Credit Consumption:** 2 API call credits per request

**Endpoint:** `GET v1/ticker/currency/price`

**Query Parameters**

* `name` (string) – Currency information (name, symbol, or keyword) (Example: `aave`)
* `quotation` (string) – Quotation currency (name, symbol, or keyword) (Example: `usd`)
* `type` (string) – Aggregation method (`median` or `average`) (Default: `median`)

**Sample Request**

```bash
curl -X GET "https://api-ai-oracle.apro.com/v1/ticker/currency/price?name=aave&quotation=usd&type=median" \
 -H "accept: application/json"
```

**Sample Response**

```json
{
    "status": {
        "timestamp": 1742457195612,
        "code": 200,
        "message": ""
    },
    "data": {
        "name": "Aave",
        "symbol": "AAVE",
        "quotes": "United States Dollar",
        "quotes_symbol": "USD",
        "price": 176.76901955342512,
        "report_type": "median",
        "timestamp": 1742457195543,
        "signature": [
            {
                "signer": "0xB8d725f09fB33852dA862EAB9e68536305CfE289",
                "hash": "0x42386b1fecfd5403adc9da5078925187cf77632fd4abddec88140855301b33cd",
                "signature": "e847b8242899f36be74cd214963a83c6631d859b019d949886c50be8d0c6f0d91cbd43587e80f6c35b917bc156ae4c4a30e23ac015e37262abf56125c7b3968e01",
                "timestamp": 1742457195520
            }
        ],
        "prices": [
            {
                "name": "Aave",
                "symbol": "AAVE",
                "quotes": "United States Dollar",
                "quotes_symbol": "USD",
                "price": 176.76901955342512,
                "provider_name": "DexDexTools",
                "direct_price": true,
                "last_updated": 1742457192
            }
        ]
    }
}
```
